Skip to main content
GET
/
interaction
/
{conversation_id}
/
messages
List messages in a conversation interaction
curl --request GET \
  --url https://community.dashsocial.com/interaction/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "follower_participant": {
      "profile_picture_url": "<string>",
      "user_handle": "<string>"
    },
    "messages": [
      {
        "created_at": "2023-11-07T05:31:56Z",
        "id": 123,
        "platform": "<string>",
        "text": "<string>",
        "username": "<string>"
      }
    ]
  },
  "paging": {
    "next": "<string>",
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
integer
required

The ID of the conversation to fetch messages for

Required range: x >= 0

Query Parameters

limit
integer
default:100

Number of results to return in a single response.

offset
integer
default:0

The offset of the first result to be returned.

sort
enum<string>

Sort of the messages.

Available options:
-CREATED_AT,
CREATED_AT
must_include_text
boolean

Fetch messages that have text

Response

OK

data
object

Interation messages and participant data

paging
object

Pagination data